<?php
/**
 * All settings related to footer recommended post.
 *
 * @package Sportsx
 */
$wp_customize->add_section(
	'footer_recommended_post',
	array(
		'title' => esc_html__( 'Recommended Section', 'sportsx' ),
		'panel' => 'front_page_theme_options_panel',
	)
);

$wp_customize->add_setting(
    'sportsx_options[enable_recommended_post]',
    array(
        'default'           => $sportsx_default['enable_recommended_post'],
        'sanitize_callback' => 'sportsx_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'sportsx_options[enable_recommended_post]',
    array(
        'label'       => esc_html__( 'Enable Recommended Post', 'sportsx' ),
        'section'     => 'footer_recommended_post',
        'type'        => 'checkbox',
    )
);


$wp_customize->add_setting(
    'sportsx_options[recommended_post_layout]',
    array(
        'default'           => $sportsx_default['recommended_post_layout'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sportsx_sanitize_radio'
    )
);


$wp_customize->add_control(
    new Sportsx_Custom_Radio_Image_Control(
        $wp_customize,
        'sportsx_options[recommended_post_layout]',
        array(
            'label'         => esc_html__( 'Recommended Post Layout', 'sportsx' ),
            'section'       => 'footer_recommended_post',
            'choices'       => sportsx_get_recommended_post(),
        )
    )
);



$wp_customize->add_setting(
    'sportsx_options[recommended_post_title]',
    array(
        'default'           => $sportsx_default['recommended_post_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'sportsx_options[recommended_post_title]',
    array(
        'label'    => __( 'Recommended Post', 'sportsx' ),
        'section'  => 'footer_recommended_post',
        'type'     => 'text',
    )
);

$wp_customize->add_setting(
    'sportsx_options[recommended_post_category]',
    array(
        'default'           => $sportsx_default['recommended_post_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new Sportsx_Dropdown_Taxonomies_Control(
        $wp_customize,
        'sportsx_options[recommended_post_category]',
        array(
            'label'           => __( 'Choose Category', 'sportsx' ),
            'description'     => __( 'Leave Empty if you don\'t want the posts to be category specific', 'sportsx' ),
            'section'         => 'footer_recommended_post',
        )
    )
);









$wp_customize->add_setting(
    'sportsx_options[enable_recommended_post_author_meta]',
    array(
        'default' => $sportsx_default['enable_recommended_post_author_meta'],
        'sanitize_callback' => 'sportsx_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'sportsx_options[enable_recommended_post_author_meta]',
    array(
        'label' => esc_html__('Display Author Meta', 'sportsx'),
        'section' => 'footer_recommended_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'sportsx_options[select_recommended_post_author_meta]',
    array(
        'default' => $sportsx_default['select_recommended_post_author_meta'],
        'sanitize_callback' => 'sportsx_sanitize_select',
    )
);
$wp_customize->add_control(
    'sportsx_options[select_recommended_post_author_meta]',
    array(
        'label' => esc_html__('Select Author Meta', 'sportsx'),
        'section' => 'footer_recommended_post',
        'type' => 'select',
        'choices' => sportsx_author_meta(),
    )
);
$wp_customize->add_setting(
    'sportsx_options[recommended_post_author_meta_title]',
    array(
        'default' => $sportsx_default['recommended_post_author_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'sportsx_options[recommended_post_author_meta_title]',
    array(
        'label' => __('Author Meta Text', 'sportsx'),
        'section' => 'footer_recommended_post',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'sportsx_options[enable_recommended_post_date_meta]',
    array(
        'default' => $sportsx_default['enable_recommended_post_date_meta'],
        'sanitize_callback' => 'sportsx_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'sportsx_options[enable_recommended_post_date_meta]',
    array(
        'label' => esc_html__('Display Published Date', 'sportsx'),
        'section' => 'footer_recommended_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'sportsx_options[select_recommended_post_date]',
    array(
        'default' => $sportsx_default['select_recommended_post_date'],
        'sanitize_callback' => 'sportsx_sanitize_select',
    )
);
$wp_customize->add_control(
    'sportsx_options[select_recommended_post_date]',
    array(
        'label' => esc_html__('Select Single Date Meta', 'sportsx'),
        'section' => 'footer_recommended_post',
        'type' => 'select',
        'choices' => sportsx_date_meta(),
    )
);
$wp_customize->add_setting(
    'sportsx_options[select_recommended_post_date_meta_title]',
    array(
        'default' => $sportsx_default['select_recommended_post_date_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'sportsx_options[select_recommended_post_date_meta_title]',
    array(
        'label' => __('Date Text', 'sportsx'),
        'section' => 'footer_recommended_post',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'sportsx_options[select_recommended_post_date_format]',
    array(
        'default' => $sportsx_default['select_recommended_post_date_format'],
        'sanitize_callback' => 'sportsx_sanitize_select',
    )
);
$wp_customize->add_control(
    'sportsx_options[select_recommended_post_date_format]',
    array(
        'label' => esc_html__('Select Date Format', 'sportsx'),
        'section' => 'footer_recommended_post',
        'type' => 'select',
        'choices' => sportsx_get_date_formats(),
    )
);
$wp_customize->add_setting(
    'sportsx_options[enable_recommended_post_category_meta]',
    array(
        'default' => $sportsx_default['enable_recommended_post_category_meta'],
        'sanitize_callback' => 'sportsx_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'sportsx_options[enable_recommended_post_category_meta]',
    array(
        'label' => esc_html__('Enable Category Meta', 'sportsx'),
        'section' => 'footer_recommended_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'sportsx_options[select_recommended_post_number_of_category]',
    array(
        'default' => $sportsx_default['select_recommended_post_number_of_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'sportsx_options[select_recommended_post_number_of_category]',
    array(
        'label' => __('Number of Category', 'sportsx'),
        'section' => 'footer_recommended_post',
        'type' => 'number',
    )
);
$wp_customize->add_setting(
    'sportsx_options[recommended_post_category_label]',
    array(
        'default' => $sportsx_default['recommended_post_category_label'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'sportsx_options[recommended_post_category_label]',
    array(
        'label' => __('Category Label', 'sportsx'),
        'section' => 'footer_recommended_post',
        'type' => 'text',
    )
);

$wp_customize->add_setting(
    'sportsx_options[select_recommended_post_category_color]',
    array(
        'default' => $sportsx_default['select_recommended_post_category_color'],
        'sanitize_callback' => 'sportsx_sanitize_select',
    )
);
$wp_customize->add_control(
    'sportsx_options[select_recommended_post_category_color]',
    array(
        'label' => esc_html__('Select Category Color', 'sportsx'),
        'section' => 'footer_recommended_post',
        'type' => 'select',
        'choices' => sportsx_category_color(),
    )
);